Bug 17572 - Remove issue.t warnings
Summary: Remove issue.t warnings
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 14598
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-07 17:35 UTC by Tomás Cohen Arazi
Modified: 2016-12-14 10:33 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17572: Remove itemtype-related warnings from issue.t (3.29 KB, patch)
2016-11-07 18:14 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 17572: (followup) Remove test's hardcoded values (9.67 KB, patch)
2016-11-07 18:14 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17572: Remove itemtype-related warnings from issue.t (3.35 KB, patch)
2016-11-07 18:27 UTC, Josef Moravec
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17572: (followup) Remove test's hardcoded values (9.73 KB, patch)
2016-11-07 18:27 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17572: Remove itemtype-related warnings from issue.t (3.43 KB, patch)
2016-11-11 08:29 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 17572: (followup) Remove test's hardcoded values (9.81 KB, patch)
2016-11-11 08:29 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 17572: [QA Follow-up] Cosmetic changes (1.26 KB, patch)
2016-11-11 08:29 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2016-11-07 17:35:50 UTC

    
Comment 1 Tomás Cohen Arazi 2016-11-07 18:14:35 UTC
Created attachment 57272 [details] [review]
Bug 17572: Remove itemtype-related warnings from issue.t

This patch makes t/db_dependent/Circulation/issue.t create
good sample data for its tests. It does so by creating a random
itemtype.

To test:
- Run
  $ prove t/db_dependent/Circulation/issue.t
=> FAIL: lots of warnings about "item-level_itypes set but no itemtype
set for item"
- Apply the patch
- Run:
  $ prove t/db_dependent/Circulation/issue.t
=> SUCCESS: Tests are green, and no warnings.
- Sign off :-D

Sponsored-by: ByWater Solutions
Comment 2 Tomás Cohen Arazi 2016-11-07 18:14:43 UTC
Created attachment 57273 [details] [review]
Bug 17572: (followup) Remove test's hardcoded values

This patch makes the tests use t::lib::TestBuilder instead of
hardcoding values.

Test plan:
- Run:
  $ prove t/db_dependent/Circulation/issue.t
=> SUCCESS: All tests return green with and without the patch
- Sign off :-D

Sponsored-by: ByWater Solutions
Comment 3 Josef Moravec 2016-11-07 18:27:07 UTC
Created attachment 57275 [details] [review]
[SIGNED-OFF] Bug 17572: Remove itemtype-related warnings from issue.t

This patch makes t/db_dependent/Circulation/issue.t create
good sample data for its tests. It does so by creating a random
itemtype.

To test:
- Run
  $ prove t/db_dependent/Circulation/issue.t
=> FAIL: lots of warnings about "item-level_itypes set but no itemtype
set for item"
- Apply the patch
- Run:
  $ prove t/db_dependent/Circulation/issue.t
=> SUCCESS: Tests are green, and no warnings.
- Sign off :-D

Sponsored-by: ByWater Solutions

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Josef Moravec 2016-11-07 18:27:13 UTC
Created attachment 57276 [details] [review]
[SIGNED-OFF] Bug 17572: (followup) Remove test's hardcoded values

This patch makes the tests use t::lib::TestBuilder instead of
hardcoding values.

Test plan:
- Run:
  $ prove t/db_dependent/Circulation/issue.t
=> SUCCESS: All tests return green with and without the patch
- Sign off :-D

Sponsored-by: ByWater Solutions

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Marcel de Rooy 2016-11-11 08:29:17 UTC
Created attachment 57449 [details] [review]
Bug 17572: Remove itemtype-related warnings from issue.t

This patch makes t/db_dependent/Circulation/issue.t create
good sample data for its tests. It does so by creating a random
itemtype.

To test:
- Run
  $ prove t/db_dependent/Circulation/issue.t
=> FAIL: lots of warnings about "item-level_itypes set but no itemtype
set for item"
- Apply the patch
- Run:
  $ prove t/db_dependent/Circulation/issue.t
=> SUCCESS: Tests are green, and no warnings.
- Sign off :-D

Sponsored-by: ByWater Solutions

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Marcel de Rooy 2016-11-11 08:29:23 UTC
Created attachment 57450 [details] [review]
Bug 17572: (followup) Remove test's hardcoded values

This patch makes the tests use t::lib::TestBuilder instead of
hardcoding values.

Test plan:
- Run:
  $ prove t/db_dependent/Circulation/issue.t
=> SUCCESS: All tests return green with and without the patch
- Sign off :-D

Sponsored-by: ByWater Solutions

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Marcel de Rooy 2016-11-11 08:29:27 UTC
Created attachment 57451 [details] [review]
Bug 17572: [QA Follow-up] Cosmetic changes

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 8 Kyle M Hall 2016-11-12 02:33:45 UTC
Pushed to master for 16.11, thanks Tomas!
Comment 9 Mason James 2016-12-14 10:33:35 UTC
Pushed to 16.05.x, for 16.05.06 release